www/py-blosxom - The NetBSD Packages Collection

PyBlosxom is a lightweight file-based weblog system

PyBlosxom is a lightweight file-based weblog system. The project
started as a Python clone of Blosxom but has since evolved into a
beast of its own. PyBlosxom focuses on three things: simplicity,
extensibility, and community.

simplicity - PyBlosxom uses the file system for all its data
storage. Because of this you can use whatever existing editor,
scripts and tools you want to create, update and manipulate
entries and other blog data.

extensibility - PyBlosxom has a plugin framework allowing you to build
plugins in Python to augment and change PyBlosxom's default behavior.

community - There are hundreds of PyBlosxom users out there all of
whom have different needs. PyBlosxom is used on a variety of operating
systems in a variety of environments. The pyblosxom users list shares
their experiences, plugins, and expertise. The pyblosxom devel list
shares their ideas for changes, patches and plugins.

PyBlosxom can run in CGI environments, under Paste, and as a WSGI
application.

Build dependencies

textproc/py-pygments25 textproc/py-docutils pkgtools/cwrappers

Runtime dependencies

devel/py-setuptools44 lang/python27 lang/python27

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpy27-blosxom-1.5.3nb3.tgz
NetBSD 8.0earmv7hfpy27-blosxom-1.5.3nb3.tgz
NetBSD 8.0earmv7hfpy27-blosxom-1.5.3nb3.tgz
NetBSD 8.0i386py27-blosxom-1.5.3nb3.tgz
NetBSD 8.0i386py27-blosxom-1.5.3nb3.tgz
NetBSD 8.0powerpcpy27-blosxom-1.5.3nb3.tgz
NetBSD 8.0powerpcpy27-blosxom-1.5.3nb3.tgz
NetBSD 8.0powerpcpy27-blosxom-1.5.3nb3.tgz
NetBSD 8.0powerpcpy27-blosxom-1.5.3nb3.tgz
NetBSD 8.0x86_64py27-blosxom-1.5.3nb3.tgz
NetBSD 8.0x86_64py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0aarch64py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0aarch64py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0aarch64py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0alphapy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0alphapy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0alphapy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0earmv6hfpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0earmv6hfpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0earmv6hfpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0earmv7hfpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0earmv7hfpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0earmv7hfpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0earmv7hfpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0i386py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0i386py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0i386py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0mips64ebpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0mips64ebpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0mips64ebpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0mips64ebpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0powerpcpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0powerpcpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0powerpcpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0powerpcpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0sparc64py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0sparc64py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0sparc64py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0sparcpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0sparcpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0sparcpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0sparcpy27-blosxom-1.5.3nb3.tgz
NetBSD 9.0x86_64py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0x86_64py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0x86_64py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0x86_64py27-blosxom-1.5.3nb3.tgz
NetBSD 9.0x86_64py27-blosxom-1.5.3nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.